%define fversion %version

Summary: LZO fast file compressor
Name: lzop
Version: 1.03
Release: %mkrel 6
Source0: %{name}-%{fversion}.tar.gz
License: GPLv2+
Group: Archiving/Compression
BuildRequires: liblzo-devel >= 2.00
URL: http://www.oberhumer.com/opensource/lzop/

%description
lzop is a file compressor similar to gzip. Its main advantages over gzip
are much higher compression and decompression speed at the cost
of compression ratio.

lzop was designed with the following goals in mind:
  1) speed (both compression and decompression)
  2) reasonable drop-in compatibility to gzip
  3) portability

%prep
%setup -q -n %name-%fversion

%build
export CPPFLAGS="-D_FILE_OFFSET_BITS=64 -I%_includedir/lzo"
%configure2_5x
%make

%install
%makeinstall_std

%files
%doc README COPYING AUTHORS NEWS THANKS doc/lzop.ps doc/lzop.html
%_bindir/lzop
%_mandir/man1/lzop.1*






%changelog
* Mon Feb 01 2016 umeabot <umeabot> 1.03-6.mga6
+ Revision: 930424
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.03-5.mga5
+ Revision: 744300
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.03-4.mga5
+ Revision: 682110
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.03-3.mga4
+ Revision: 507651
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.03-2.mga3
+ Revision: 359228
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 27 2011 spuhler <spuhler> 1.03-1.mga3
+ Revision: 41674
- imported package lzop


* Tue Nov 09 2010 Götz Waschk <waschk@mandriva.org> 1.03-1mdv2011.0
+ Revision: 595424
- new version

* Wed Jan 20 2010 Götz Waschk <waschk@mandriva.org> 1.02-0.rc1.3mdv2010.1
+ Revision: 494021
- update license

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.02-0.rc1.2mdv2010.0
+ Revision: 426026
- rebuild

* Thu Jan 03 2008 Olivier Blin <oblin@mandriva.com> 1.02-0.rc1.1mdv2008.1
+ Revision: 140934
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed May 16 2007 Götz Waschk <waschk@mandriva.org> 1.02-0.rc1.1mdv2008.0
+ Revision: 27218
- new version
- drop patch


* Tue Jan 02 2007 Götz Waschk <waschk@mandriva.org> 1.01-7mdv2007.0
+ Revision: 103086
- Import lzop

* Tue Jan 02 2007 Gtz Waschk <waschk@mandriva.org> 1.01-7mdv2007.1
- unpack patch

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.01-6mdk
- Rebuild

* Wed Jun 29 2005 Gtz Waschk <waschk@mandriva.org> 1.01-5mdk
- update the patch for new liblzo

* Fri Jun 03 2005 Gtz Waschk <waschk@mandriva.org> 1.01-4mdk
- patch for new lzo

* Thu Apr 21 2005 Gtz Waschk <waschk@mandriva.org> 1.01-3mdk
- fix large file support (bug #15545)

* Sat May 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.01-2mdk
- fix buildrequires
- drop prefix

